[Beta] Udyog Aadhar
Introduction
This API allows users to extract information from Udyog aadhaar doc through images. The API accepts an image URL containing Udyog aadhaar document. The API returns a JSON response with the extracted information in a result object including business_name,reg_date,id_numberaddress,city,zip_code,state ,country,business_owner
API details
Endpoint
POST https://api-preproduction.signzy.app/api/v3/extraction/udyogPOST https://api.signzy.app/api/v3/extraction/udyogRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data type | Description | Required |
|---|---|---|---|
file | String | A URL of the image. Acceptable image format TIFF/TIF, JPEG/JPG, PNG, PDF(maximum 2 pages) containing udyog aadhar card. | Mandatory |
{
"imgurl": "https://persist.signzy.tech/api/files/xxxx/download/xxxx.png"
}Code samples
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.signzy.app/api/v3/extractions/udyog"
method := "POST"
payload := strings.NewReader(`{
"imgUrl": "https://persist.signzy.tech/api/files/xxxx/download/xxxx.png"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "<Auth-Token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | An object containing the extracted udyog aadhar details |
result.business_name | String | Name of the business present in the document |
result.reg_date | Dob | UAN number of the company |
result.id_number | String | Address of the business operator |
result.address | String | Address of the company |
result.city |  | city associated with the company address |
result.zip_code | String | zip_code associated with the company address |
result.state | String | state associated with the company address |
result.country | String | country of issue of the document |
result.business_owner | List | name of the business owner |
{
"result": {
"business_name": "YUVAN EARTH MOVERS PRIVATE LIMITED",
"reg_date": "01/04/2017",
"id_number": "RJ17D0091062",
"address": "APNA BAZAR, LATA BAZAR, JHOTWARA CIRCLE",
"city": "JAIPUR",
"zip_code": "302012",
"state": "RAJASTHAN",
"country": "INDIA",
"business_owner": "YUVAN EARTH MOVERS PRIVATE LIMITED"
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!